WPSList Class Reference documentation

Classes | Public Member Functions | Protected Attributes | List of all members
WPSList Class Reference

a small structure used to store the informations about a list More...

`#include <WPSList.h>`

## Classes
struct | Level
| small structure to keep information about a level More...

## Public Member Functions
| WPSList ()
| default constructor More...
int | getId () const
| returns the list id More...
int | getPreviousId () const
| returns the previous list id More...
void | setId (int newId)
| set the list id More...
int | numLevels () const
| returns the number of level More...
void | set (int levl, Level const &level)
| sets a level More...
void | setLevel (int levl) const
| set the list level More...
void | openElement () const
| open the list element More...
void | closeElement () const
| close the list element More...
bool | isNumeric (int levl) const
| returns true is a level is numeric More...
bool | mustSendLevel (int level) const
| returns true of the level must be send to the document interface More...
void | addLevelTo (int level, librevenge::RVNGPropertyList &propList) const
| add level definition to propList More...

## Protected Attributes
std::vector< Level > | m_levels
int | m_actLevel
std::vector< int > | m_actualIndices
std::vector< int > | m_nextIndices
int | m_id
int | m_previousId

## Detailed Description

a small structure used to store the informations about a list

## Constructor & Destructor Documentation

## ◆ WPSList()

WPSList::WPSList | ( |  | ) |
| inline

default constructor

## Member Function Documentation

## ◆ addLevelTo()

void WPSList::addLevelTo | ( | int | level,
|  | librevenge::RVNGPropertyList & | propList
| ) |  | const

add level definition to propList

## ◆ closeElement()

void WPSList::closeElement | ( |  | ) | const
| inline

close the list element

## ◆ getId()

int WPSList::getId | ( |  | ) | const
| inline

returns the list id

## ◆ getPreviousId()

int WPSList::getPreviousId | ( |  | ) | const
| inline

returns the previous list id

Note
  a cheat because writerperfect imposes to get a new id if the level 1 changes

## ◆ isNumeric()

bool WPSList::isNumeric | ( | int | levl | ) | const

returns true is a level is numeric

Referenced by openElement().

## ◆ mustSendLevel()

bool WPSList::mustSendLevel | ( | int | level | ) | const

returns true of the level must be send to the document interface

## ◆ numLevels()

int WPSList::numLevels | ( |  | ) | const
| inline

returns the number of level

## ◆ openElement()

void WPSList::openElement | ( |  | ) | const

open the list element

## ◆ set()

void WPSList::set | ( | int | levl,
|  | Level const & | level
| ) |  |

sets a level

## ◆ setId()

void WPSList::setId | ( | int | newId | ) |

set the list id

## ◆ setLevel()

void WPSList::setLevel | ( | int | levl | ) | const

set the list level

## Member Data Documentation

## ◆ m_actLevel

int WPSList::m_actLevel
| mutableprotected

Referenced by openElement(), and setLevel().

## ◆ m_actualIndices

std::vector<int> WPSList::m_actualIndices
| mutableprotected

Referenced by addLevelTo(), openElement(), set(), and setLevel().

## ◆ m_id

int WPSList::m_id
| mutableprotected

Referenced by addLevelTo(), getId(), and setId().

## ◆ m_levels

std::vector<Level> WPSList::m_levels
| protected

Referenced by addLevelTo(), isNumeric(), mustSendLevel(), numLevels(), openElement(), set(), setId(), and setLevel().

## ◆ m_nextIndices

std::vector<int> WPSList::m_nextIndices
| protected

Referenced by openElement(), set(), and setLevel().

## ◆ m_previousId

int WPSList::m_previousId
| protected

Referenced by getPreviousId(), and setId().

The documentation for this class was generated from the following files:

- WPSList.h
- WPSList.cpp